/*
 * Kernel stub used to support virtual perfctrs when the
 * perfctr driver is built as a module.
 *
 * Copyright (C) 2000  Mikael Pettersson
 */
#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <asm/perfctr.h>

static void bug(const char *func)
{
	static int count = 0;
	if( ++count > 5 )	/* don't spam the log too much */
		return;
	printk(KERN_ERR __FILE__ ": BUG! call to __vperfctr_%s "
	       "and perfctr module is not loaded\n",
	       func);
}

static void bug_unlink(struct vperfctr *perfctr)
{
	bug("unlink");
}

static void bug_suspend(struct vperfctr *perfctr)
{
	bug("suspend");
}

static void bug_resume(struct vperfctr *perfctr)
{
	bug("resume");
}

struct vperfctr_stub vperfctr_stub = {
	.unlink = bug_unlink,
	.suspend = bug_suspend,
	.resume = bug_resume,
};

EXPORT_SYMBOL(vperfctr_stub);
EXPORT_SYMBOL(pidhash); /* needed for find_task_by_pid() */
